import dataset


class QuadrantOffCenterGauss(dataset.Quadrant):

    NAME = "quadrant-offcenter-gauss"

    def generate_training_data(self, random_state, n):
        return random_state.randn(n, 2) + 1

